Deals
List deals
List deals and filter them by custom properties.
To filter deals on custom property, just add the property with its exact value as a query parameter:
myCustomProp=ThisIsAValue
This will return the deals where myCustomProp exactly matches the provided value.
GET
/
v3
/
deals
List deals
curl --request GET \
--url https://api.example.com/v3/dealsimport requests
url = "https://api.example.com/v3/deals"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.example.com/v3/deals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"id": 123,
"contactId": 123,
"sourcePartnerId": 123,
"stage": "<string>",
"creationDate": "2023-11-07T05:31:56Z",
"totalAmount": 123,
"properties": {},
"sourceLeadId": 123,
"status": "Unknown",
"partners": [
{
"id": 123,
"dealId": 123,
"userPartnerOwnerId": 123,
"userPartnerOwnerName": "<string>",
"userPartnerFirstName": "<string>",
"userPartnerLastName": "<string>",
"userPartnerEmail": "<string>",
"userPartnerJobTitle": "<string>",
"userPartnerPhoneNumber": "<string>",
"userPartnerLinkedInProfileUrl": "<string>",
"partnerId": 123,
"partnerTypeId": 123,
"creationDate": "2023-11-07T05:31:56Z",
"partnerName": "<string>",
"partnerTypeName": "<string>"
}
],
"contractStartDate": "2023-11-07T05:31:56Z",
"contractEndDate": "2023-11-07T05:31:56Z",
"ownerUserId": 123,
"owner": {
"id": 123,
"email": "<string>",
"firstName": "<string>",
"lastName": "<string>"
},
"closeDate": "2023-11-07T05:31:56Z",
"customerId": 123,
"currency": "<string>"
}
],
"paginationSkipCount": 123,
"totalCount": 123
}Query Parameters
The cursor used in pagination. This is the index of the first deal to be returned.
The maximum number of deals to be returned. The default is 20.
The property used to sort the deals by. The default is CreationDate.
The sorting direction for the returned deals. Accepted values: ASC, DESC. The default is DESC.
List deals
